OpenTTD: Goal Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
Goal Struct Reference

Struct about goals, current and completed. More...

`#include <goal_base.h>`

Inheritance diagram for Goal:

## Public Member Functions
| Goal ()
| We need an (empty) constructor so struct isn't zeroed (as C++ standard states)
| ~Goal ()
| (Empty) destructor has to be defined else operator delete might be called with NULL parameter
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_goal_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t size, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.

## Data Fields
CompanyByte | company
| Goal is for a specific company; INVALID_COMPANY if it is global.
GoalTypeByte | type
| Type of the goal.
GoalTypeID | dst
| Index of type.
char * | text
| Text of the goal.
char * | progress
| Progress text of the goal.
bool | completed
| Is the goal completed or not?
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_goal_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_goal_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (size_t index)
| Tests whether given index can be used to get valid (non-NULL) Titem.
static Titem * | Get (size_t index)
| Returns Titem with given index.
static Titem * | GetIfValid (size_t index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.

## Detailed Description

Struct about goals, current and completed.

Definition at line 23 of file goal_base.h.

The documentation for this struct was generated from the following file:

- src/goal_base.h